# ock-criu

ock-criu
蛋白质MSA搜索加速工具
利用VMTouch提前加载搜索对象，提升搜索速度

## 文件说明
fold_msa：单机版数据前处理加速服务程序
db_path.cfg: 数据库路径
set_env.sh：设置环境变量脚本

## 准备数据（也可参考MEGAProtein配置数据库检索章节）
需要提前下载：https://colabfold.mmseqs.com/
1.uniref30_2103.tar.gz
2.colabfold_envdb_202108.tar.gz

解压缩数据到各自目录例如：
/data/uniref30_2103
/data/colabfold_envdb

在数据目录下执行以下命令：
mmseqs tsv2exprofiledb uniref30_2103 uniref30_2103_db
mmseqs createindex uniref30_2103_db tmp1 --remove-tmp-files 1 --split 4

mmseqs tsv2exprofiledb colabfold_envdb_202108 colabfold_envdb_202108_db
mmseqs createindex colabfold_envdb_202108_db tmp2 --remove-tmp-files 1 --split 4

修改db_path.cfg 内各个数据绝对路径

## 依赖安装
https://github.com/hoytech/vmtouch
快速安装指令：
$ git clone https://github.com/hoytech/vmtouch.git
$ cd vmtouch
$ make
$ sudo make install


## 使用说明
1.cd                             进入工具目录
2.$ source set_env.sh            添加工具到环境变量
3.$ fold_msa -c db_path.cfg      缓存加速数据


